﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDockManagerDataTreeTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<10; i++)
            {
                SampleData sd = new SampleData() { ID = i, Name = "Parent " + i.ToString() };
                sd.Children = new ObservableCollection<ChildData>();

                for(int j=0; j<3; j++)
                {
                    ChildData cd = new ChildData() { ID = j, ChildName = "Child " + j.ToString() };
                    sd.Children.Add(cd);
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public bool IsExpanded { get; set; }
        public ObservableCollection<ChildData> Children { get; set; }
    }

    public class ChildData
    {
        public int ID { get; set; }
        public string ChildName { get; set; }
    }
}
